> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decisionly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a case

> Returns a case by ID.



## OpenAPI

````yaml /api-reference/v3/openapi.yaml get /v3/issuer/cases/{case_id}
openapi: 3.0.0
info:
  title: Decisionly API v3
  description: Claims-based API for submission and handling of chargebacks by issuers.
  version: 2.0.0
servers:
  - url: https://api.decisionly.com
    description: Production server. Use your test key for the sandbox environment.
security:
  - basicAuth: []
tags:
  - name: v3 Cases
    description: Case management endpoints
  - name: v3 Events
    description: Event endpoints
  - name: v3 Files
    description: File upload endpoints
paths:
  /v3/issuer/cases/{case_id}:
    get:
      tags:
        - v3 Cases
      summary: Retrieve a case
      description: Returns a case by ID.
      parameters:
        - name: case_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Returns the case.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Case'
              example:
                cardholder:
                  billing_address:
                    city: San Francisco
                    country: US
                    line1: 742 Evergreen Terrace
                    line2: Unit 5B
                    postal_code: '94102'
                    state: CA
                  email: susie@example.com
                  issuer_id: '9529456289'
                  name: Susie Chargeback
                  type: individual
                case_id: case_abc123
                created: '2026-04-01T00:00:00.000Z'
                dispute:
                  amount: 299
                  currency: USD
                  date: '2026-03-15T13:12:18.198-08:00'
                  raised_by: cardholder
                  reason: product_not_received
                dispute_evidence:
                  product_not_received:
                    cancellation:
                      date: null
                      description: null
                      id: null
                      policy_provided: null
                    cardholder_explanation: I never received this order
                    delivery:
                      date: null
                      expected_date: null
                      status: null
                    documentation: null
                    issuer_explanation: null
                    merchant_contact:
                      attempted_date: null
                      description: null
                      email: null
                      method: null
                      phone: null
                      prohibited_reason: null
                      was_successful: null
                    product:
                      condition: null
                      description: null
                      order_id: null
                      type: null
                    service:
                      end_date: null
                merchant:
                  category_code: '5734'
                  name: FoodHub
                review_status: null
                status: created
                transaction:
                  amount: 299
                  arn: '48162855246353338636162'
                  card:
                    expiry_month: 6
                    expiry_year: 2028
                    last4: '4242'
                    network: mastercard
                  currency: USD
                  date: '2026-03-15T13:12:18.198-08:00'
components:
  schemas:
    Case:
      type: object
      properties:
        cardholder:
          $ref: '#/components/schemas/Cardholder'
        case_id:
          description: Unique identifier for the case.
          type: string
          example: case_abc123
        created:
          description: When the case was created. ISO 8601 format.
          type: string
          format: date-time
          example: '2026-04-01T00:00:00.000Z'
        custom_fields:
          type: object
          additionalProperties: true
          description: >-
            Custom key-value pairs for storing additional data with your cases.
            See [Custom Fields documentation](/custom-fields) for more details.
        dispute:
          $ref: '#/components/schemas/CaseDispute'
        dispute_evidence:
          $ref: '#/components/schemas/DisputeEvidence'
        merchant:
          $ref: '#/components/schemas/Merchant'
        program_id:
          description: Your unique identifier for the card program the case belongs to.
          type: string
          nullable: true
          maxLength: 126
          example: 550e8400-e29b-41d4-a716-446655440000
        resolution_due_date:
          description: >-
            The deadline by which the case must be resolved. Read-only. ISO 8601
            format.
          type: string
          format: date-time
          nullable: true
          example: '2026-07-01T00:00:00.000Z'
        review_status:
          description: >-
            Set when the case needs manual review before Decisionly can proceed.
            `null` if no review is needed. A matching
            `case.chargeback_needs_review` or `case.representment_needs_review`
            event is sent when this is set. Read-only.
          type: string
          nullable: true
          enum:
            - chargeback_needs_review
            - representment_needs_review
          example: null
        status:
          description: The status of the case.
          type: string
          enum:
            - created
            - chargeback_filed
            - chargeback_represented
            - prearb_received
            - prearb_filed
            - prearb_rebutted
            - arbitration_filed
            - won
            - lost
            - accepted
            - rejected
            - expired
            - withdrawn
            - merchant_credited
            - merchant_credited_and_recovered
          example: created
        transaction:
          $ref: '#/components/schemas/Transaction'
    Cardholder:
      type: object
      description: Details of the cardholder.
      properties:
        billing_address:
          description: The billing address of the cardholder.
          type: object
          properties:
            city:
              description: City, district, suburb, town, or village.
              type: string
              nullable: true
              maxLength: 100
              example: San Francisco
            country:
              description: Two-letter country code (ISO 3166-1 alpha-2).
              type: string
              nullable: true
              minLength: 2
              maxLength: 2
              pattern: ^[A-Z]{2}$
              example: US
            line1:
              description: Address line 1 (street address).
              type: string
              nullable: true
              maxLength: 200
              example: 742 Evergreen Terrace
            line2:
              description: Address line 2 (apartment, suite, etc).
              type: string
              nullable: true
              maxLength: 200
              example: Unit 5B
            postal_code:
              description: ZIP or postal code.
              type: string
              nullable: true
              maxLength: 20
              example: '94102'
            state:
              description: State, county, province, or region.
              type: string
              nullable: true
              maxLength: 100
              example: CA
        email:
          description: The email of the cardholder.
          type: string
          format: email
          example: jane@example.com
          maxLength: 320
        issuer_id:
          description: Your ID for the cardholder.
          type: string
          example: '9529456289'
          maxLength: 250
        name:
          description: The name of the cardholder.
          type: string
          example: Jane Smith
          maxLength: 250
        phone:
          description: The phone number of the cardholder.
          type: string
          nullable: true
          example: '+14155550123'
          maxLength: 50
        type:
          description: The type of cardholder. Defaults to individual.
          type: string
          enum:
            - individual
            - company
          example: individual
          default: individual
      required:
        - issuer_id
        - name
    CaseDispute:
      type: object
      description: Dispute details for the case.
      properties:
        amount:
          description: >-
            The disputed amount, in the cardholder's billing currency. In the
            smallest currency unit, such as cents.
          type: integer
          minimum: 1
          example: 2990
        currency:
          description: Three-letter ISO 4217 code of the cardholder's billing currency.
          type: string
          minLength: 3
          maxLength: 3
          example: USD
        date:
          description: When the dispute was raised. Must be in the past. ISO 8601 format.
          type: string
          format: date-time
          example: '2026-04-01T00:00:00.000Z'
        raised_by:
          description: >-
            Was the dispute raised by the cardholder or the issuer. Defaults to
            cardholder.
          type: string
          enum:
            - cardholder
            - issuer
          example: cardholder
          default: cardholder
        reason:
          description: The reason for the dispute.
          type: string
          enum:
            - canceled_or_returned
            - cash_not_received
            - credit_not_processed
            - duplicate_charge
            - fraud
            - incorrect_amount
            - invalid_authorization
            - other
            - paid_by_other_means
            - product_counterfeit
            - product_not_as_described
            - product_not_received
            - subscription_canceled
          example: fraud
        recovered_amount:
          description: >
            How much of the disputed money was recovered by the chargeback, in
            the smallest unit of `recovered_currency`.
          type: integer
          readOnly: true
          nullable: true
          minimum: 0
          example: 2000
        recovered_currency:
          description: Three-letter ISO 4217 currency code of `recovered_amount`.
          type: string
          readOnly: true
          nullable: true
          minLength: 3
          maxLength: 3
          example: USD
      required:
        - amount
        - currency
        - date
        - reason
    DisputeEvidence:
      type: object
      description: >-
        Evidence for the dispute. Send exactly one object, named after
        `dispute.reason`. Each object only accepts the evidence fields relevant
        to that reason. See [Dispute Types](/dispute-types).
      oneOf:
        - title: canceled_or_returned
          type: object
          required:
            - canceled_or_returned
          additionalProperties: false
          properties:
            canceled_or_returned:
              $ref: '#/components/schemas/CanceledOrReturnedDisputeEvidence'
        - title: cash_not_received
          type: object
          required:
            - cash_not_received
          additionalProperties: false
          properties:
            cash_not_received:
              $ref: '#/components/schemas/CashNotReceivedDisputeEvidence'
        - title: credit_not_processed
          type: object
          required:
            - credit_not_processed
          additionalProperties: false
          properties:
            credit_not_processed:
              $ref: '#/components/schemas/CreditNotProcessedDisputeEvidence'
        - title: duplicate_charge
          type: object
          required:
            - duplicate_charge
          additionalProperties: false
          properties:
            duplicate_charge:
              $ref: '#/components/schemas/DuplicateChargeDisputeEvidence'
        - title: fraud
          type: object
          required:
            - fraud
          additionalProperties: false
          properties:
            fraud:
              $ref: '#/components/schemas/FraudDisputeEvidence'
        - title: incorrect_amount
          type: object
          required:
            - incorrect_amount
          additionalProperties: false
          properties:
            incorrect_amount:
              $ref: '#/components/schemas/IncorrectAmountDisputeEvidence'
        - title: invalid_authorization
          type: object
          required:
            - invalid_authorization
          additionalProperties: false
          properties:
            invalid_authorization:
              $ref: '#/components/schemas/InvalidAuthorizationDisputeEvidence'
        - title: other
          type: object
          required:
            - other
          additionalProperties: false
          properties:
            other:
              $ref: '#/components/schemas/OtherDisputeEvidence'
        - title: paid_by_other_means
          type: object
          required:
            - paid_by_other_means
          additionalProperties: false
          properties:
            paid_by_other_means:
              $ref: '#/components/schemas/PaidByOtherMeansDisputeEvidence'
        - title: product_counterfeit
          type: object
          required:
            - product_counterfeit
          additionalProperties: false
          properties:
            product_counterfeit:
              $ref: '#/components/schemas/ProductCounterfeitDisputeEvidence'
        - title: product_not_as_described
          type: object
          required:
            - product_not_as_described
          additionalProperties: false
          properties:
            product_not_as_described:
              $ref: '#/components/schemas/ProductNotAsDescribedDisputeEvidence'
        - title: product_not_received
          type: object
          required:
            - product_not_received
          additionalProperties: false
          properties:
            product_not_received:
              $ref: '#/components/schemas/ProductNotReceivedDisputeEvidence'
        - title: subscription_canceled
          type: object
          required:
            - subscription_canceled
          additionalProperties: false
          properties:
            subscription_canceled:
              $ref: '#/components/schemas/SubscriptionCanceledDisputeEvidence'
    Merchant:
      type: object
      description: Details of the merchant.
      properties:
        category_code:
          description: The category code of the merchant.
          type: string
          minLength: 4
          maxLength: 4
          pattern: ^\d{4}$
          example: '5812'
          nullable: true
        issuer_id:
          description: Your ID for the merchant.
          type: string
          nullable: true
          example: '8201132789'
          maxLength: 250
        name:
          description: The name of the merchant.
          type: string
          example: FoodHub
          maxLength: 250
      required:
        - name
    Transaction:
      type: object
      description: Details of the disputed transaction.
      properties:
        amount:
          description: >-
            Cleared amount of the transaction, in the cardholder's billing
            currency. In the smallest currency unit, such as cents.
          type: integer
          minimum: 1
          example: 2990
        arn:
          description: >-
            The acquirer reference number of the transaction. **Always
            required** except for Mastercard single message transactions. Length
            is network-specific: Visa accepts 23 or 24 characters; Mastercard
            requires 23 characters; American Express has no minimum length but
            the ARN cannot exceed 24 characters. In live mode, the combination
            of ARN and the calendar date of `date` must be unique for Mastercard
            and Visa.
          type: string
          example: '48162855246353338636162'
          nullable: true
          maxLength: 24
        card:
          $ref: '#/components/schemas/Card'
        currency:
          description: Three-letter ISO 4217 code of the cardholder's billing currency.
          type: string
          minLength: 3
          maxLength: 3
          example: USD
        date:
          description: Clearing date of the transaction. ISO 8601 format.
          type: string
          format: date-time
          example: '2026-03-15T00:00:00.000Z'
        issuer_id:
          description: Your unique ID for the transaction.
          type: string
          nullable: true
          example: 85cfda4d06b8440db3ec15af04061c98
          maxLength: 250
        network_details:
          type: object
          nullable: true
          description: >
            Network-specific transaction details. Provide the relevant
            sub-object for the card network.
          properties:
            amex:
              type: object
              description: Amex-specific transaction details.
              nullable: true
              properties:
                avs_postal_match:
                  type: string
                  nullable: true
                  description: Result of the AVS postal code match.
                  enum:
                    - pass
                    - fail
                    - not_checked
                    - not_available
                avs_street_match:
                  type: string
                  nullable: true
                  description: Result of the AVS street address match.
                  enum:
                    - pass
                    - fail
                    - not_checked
                    - not_available
                cvv_check:
                  type: string
                  nullable: true
                  description: Result of the CVV check.
                  enum:
                    - pass
                    - fail
                    - not_checked
                    - not_available
                electronic_commerce_indicator:
                  type: string
                  description: Electronic Commerce Indicator (ECI) flag.
                  pattern: ^\d{2}$
                  minLength: 2
                  maxLength: 2
                  example: '05'
                transaction_id:
                  type: string
                  description: The Amex transaction ID.
                  minLength: 15
                  maxLength: 15
            mastercard:
              type: object
              description: Mastercard-specific transaction details.
              nullable: true
              properties:
                switch_serial_number:
                  type: string
                  description: The switch serial number for single message transactions.
                  minLength: 9
                  maxLength: 9
        system:
          description: The transaction system (single message or dual message).
          type: string
          nullable: true
          enum:
            - single_message
            - dual_message
          example: dual_message
      required:
        - amount
        - card
        - currency
        - date
    CanceledOrReturnedDisputeEvidence:
      type: object
      description: >-
        Evidence for `canceled_or_returned`. See [Filing
        Requirements](/filing-requirements) for network-specific requirements.
      properties:
        cancellation:
          $ref: '#/components/schemas/CancellationEvidence'
          nullable: true
        cardholder_explanation:
          description: The complaint of the cardholder.
          type: string
          nullable: true
          maxLength: 4000
        delivery:
          $ref: '#/components/schemas/DeliveryEvidence'
          nullable: true
        documentation:
          type: array
          description: >-
            Array of file IDs for supporting documentation. Upload files using
            the [file upload endpoint](/api-reference/v3-files/upload-a-file).
            Max 10 files per case.
          nullable: true
          maxItems: 10
          items:
            type: string
        issuer_explanation:
          description: A description of the transaction and the dispute.
          type: string
          nullable: true
          maxLength: 2000
        merchant_contact:
          $ref: '#/components/schemas/MerchantContact'
          nullable: true
        product:
          $ref: '#/components/schemas/ProductEvidence'
          nullable: true
        refund:
          $ref: '#/components/schemas/RefundEvidence'
          nullable: true
        return:
          $ref: '#/components/schemas/ReturnEvidence'
          nullable: true
        service:
          $ref: '#/components/schemas/ServiceEvidence'
          nullable: true
    CashNotReceivedDisputeEvidence:
      type: object
      description: Evidence for `cash_not_received`.
      properties:
        cardholder_explanation:
          description: The complaint of the cardholder.
          type: string
          nullable: true
          maxLength: 4000
        documentation:
          type: array
          description: >-
            Array of file IDs for supporting documentation. Upload files using
            the [file upload endpoint](/api-reference/v3-files/upload-a-file).
            Max 10 files per case.
          nullable: true
          maxItems: 10
          items:
            type: string
        issuer_explanation:
          description: A description of the transaction and the dispute.
          type: string
          nullable: true
          maxLength: 2000
    CreditNotProcessedDisputeEvidence:
      type: object
      description: >-
        Evidence for `credit_not_processed`. See [Filing
        Requirements](/filing-requirements) for network-specific requirements.
      properties:
        cancellation:
          $ref: '#/components/schemas/CancellationEvidence'
          nullable: true
        cardholder_explanation:
          description: The complaint of the cardholder.
          type: string
          nullable: true
          maxLength: 4000
        documentation:
          type: array
          description: >-
            Array of file IDs for supporting documentation. Upload files using
            the [file upload endpoint](/api-reference/v3-files/upload-a-file).
            Max 10 files per case.
          nullable: true
          maxItems: 10
          items:
            type: string
        issuer_explanation:
          description: A description of the transaction and the dispute.
          type: string
          nullable: true
          maxLength: 2000
        merchant_contact:
          $ref: '#/components/schemas/MerchantContact'
          nullable: true
        product:
          $ref: '#/components/schemas/ProductEvidence'
          nullable: true
        refund:
          $ref: '#/components/schemas/RefundEvidence'
          nullable: true
        return:
          $ref: '#/components/schemas/ReturnEvidence'
          nullable: true
    DuplicateChargeDisputeEvidence:
      type: object
      description: >-
        Evidence for `duplicate_charge`. See [Filing
        Requirements](/filing-requirements) for network-specific requirements.
      properties:
        cardholder_explanation:
          description: The complaint of the cardholder.
          type: string
          nullable: true
          maxLength: 4000
        documentation:
          type: array
          description: >-
            Array of file IDs for supporting documentation. Upload files using
            the [file upload endpoint](/api-reference/v3-files/upload-a-file).
            Max 10 files per case.
          nullable: true
          maxItems: 10
          items:
            type: string
        issuer_explanation:
          description: A description of the transaction and the dispute.
          type: string
          nullable: true
          maxLength: 2000
        merchant_contact:
          $ref: '#/components/schemas/MerchantContact'
          nullable: true
        prior_transaction:
          $ref: '#/components/schemas/PriorTransaction'
          nullable: true
    FraudDisputeEvidence:
      type: object
      description: >-
        Evidence for `fraud`. `card.is_active` is required and must be false,
        indicating the card was canceled. See [Filing
        Requirements](/filing-requirements) for network-specific requirements.
      properties:
        card:
          $ref: '#/components/schemas/CardEvidence'
          nullable: true
        cardholder_explanation:
          description: The complaint of the cardholder.
          type: string
          nullable: true
          maxLength: 4000
        documentation:
          type: array
          description: >-
            Array of file IDs for supporting documentation. Upload files using
            the [file upload endpoint](/api-reference/v3-files/upload-a-file).
            Max 10 files per case.
          nullable: true
          maxItems: 10
          items:
            type: string
        issuer_explanation:
          description: A description of the transaction and the dispute.
          type: string
          nullable: true
          maxLength: 2000
      required:
        - card
    IncorrectAmountDisputeEvidence:
      type: object
      description: >-
        Evidence for `incorrect_amount`. Requires `correct_amount`,
        `correct_currency`, and a file with category `transaction_receipt`.
      properties:
        cardholder_explanation:
          description: The complaint of the cardholder.
          type: string
          nullable: true
          maxLength: 4000
        correct_amount:
          type: integer
          nullable: true
          minimum: 1
          description: The correct transaction amount, in the smallest currency unit.
        correct_currency:
          type: string
          nullable: true
          description: Three-letter ISO 4217 currency code of the correct amount.
          minLength: 3
          maxLength: 3
        documentation:
          type: array
          description: >-
            Array of file IDs for supporting documentation. Upload files using
            the [file upload endpoint](/api-reference/v3-files/upload-a-file).
            Max 10 files per case.
          nullable: true
          maxItems: 10
          items:
            type: string
        issuer_explanation:
          description: A description of the transaction and the dispute.
          type: string
          nullable: true
          maxLength: 2000
        merchant_contact:
          $ref: '#/components/schemas/MerchantContact'
          nullable: true
      required:
        - correct_amount
        - correct_currency
    InvalidAuthorizationDisputeEvidence:
      type: object
      description: >-
        Evidence for `invalid_authorization`. See [Filing
        Requirements](/filing-requirements) for network-specific requirements.
      properties:
        card:
          $ref: '#/components/schemas/CardEvidence'
          nullable: true
        cardholder_explanation:
          description: The complaint of the cardholder.
          type: string
          nullable: true
          maxLength: 4000
        documentation:
          type: array
          description: >-
            Array of file IDs for supporting documentation. Upload files using
            the [file upload endpoint](/api-reference/v3-files/upload-a-file).
            Max 10 files per case.
          nullable: true
          maxItems: 10
          items:
            type: string
        issuer_explanation:
          description: A description of the transaction and the dispute.
          type: string
          nullable: true
          maxLength: 2000
    OtherDisputeEvidence:
      type: object
      description: >-
        Evidence for `other`. Requires `issuer_explanation` or
        `cardholder_explanation`. See [Filing
        Requirements](/filing-requirements) for network-specific requirements.
      properties:
        cancellation:
          $ref: '#/components/schemas/CancellationEvidence'
          nullable: true
        cardholder_explanation:
          description: The complaint of the cardholder.
          type: string
          nullable: true
          maxLength: 4000
        delivery:
          $ref: '#/components/schemas/DeliveryEvidence'
          nullable: true
        documentation:
          type: array
          description: >-
            Array of file IDs for supporting documentation. Upload files using
            the [file upload endpoint](/api-reference/v3-files/upload-a-file).
            Max 10 files per case.
          nullable: true
          maxItems: 10
          items:
            type: string
        issuer_explanation:
          description: A description of the transaction and the dispute.
          type: string
          nullable: true
          maxLength: 2000
        merchant_contact:
          $ref: '#/components/schemas/MerchantContact'
          nullable: true
        product:
          $ref: '#/components/schemas/ProductEvidence'
          nullable: true
        service:
          $ref: '#/components/schemas/ServiceEvidence'
          nullable: true
    PaidByOtherMeansDisputeEvidence:
      type: object
      description: >-
        Evidence for `paid_by_other_means`. Requires a file with category
        `prior_transaction_receipt`. See [Filing
        Requirements](/filing-requirements) for network-specific requirements.
      properties:
        cardholder_explanation:
          description: The complaint of the cardholder.
          type: string
          nullable: true
          maxLength: 4000
        documentation:
          type: array
          description: >-
            Array of file IDs for supporting documentation. Upload files using
            the [file upload endpoint](/api-reference/v3-files/upload-a-file).
            Max 10 files per case.
          nullable: true
          maxItems: 10
          items:
            type: string
        issuer_explanation:
          description: A description of the transaction and the dispute.
          type: string
          nullable: true
          maxLength: 2000
        merchant_contact:
          $ref: '#/components/schemas/MerchantContact'
          nullable: true
    ProductCounterfeitDisputeEvidence:
      type: object
      description: >-
        Evidence for `product_counterfeit`. See [Filing
        Requirements](/filing-requirements) for network-specific requirements.
      properties:
        cardholder_explanation:
          description: The complaint of the cardholder.
          type: string
          nullable: true
          maxLength: 4000
        delivery:
          $ref: '#/components/schemas/DeliveryEvidence'
          nullable: true
        documentation:
          type: array
          description: >-
            Array of file IDs for supporting documentation. Upload files using
            the [file upload endpoint](/api-reference/v3-files/upload-a-file).
            Max 10 files per case.
          nullable: true
          maxItems: 10
          items:
            type: string
        issuer_explanation:
          description: A description of the transaction and the dispute.
          type: string
          nullable: true
          maxLength: 2000
        merchant_contact:
          $ref: '#/components/schemas/MerchantContact'
          nullable: true
        product:
          $ref: '#/components/schemas/ProductEvidence'
          nullable: true
        return:
          $ref: '#/components/schemas/ReturnEvidence'
          nullable: true
    ProductNotAsDescribedDisputeEvidence:
      type: object
      description: >-
        Evidence for `product_not_as_described`. See [Filing
        Requirements](/filing-requirements) for network-specific requirements.
      properties:
        cancellation:
          $ref: '#/components/schemas/CancellationEvidence'
          nullable: true
        cardholder_explanation:
          description: The complaint of the cardholder.
          type: string
          nullable: true
          maxLength: 4000
        delivery:
          $ref: '#/components/schemas/DeliveryEvidence'
          nullable: true
        documentation:
          type: array
          description: >-
            Array of file IDs for supporting documentation. Upload files using
            the [file upload endpoint](/api-reference/v3-files/upload-a-file).
            Max 10 files per case.
          nullable: true
          maxItems: 10
          items:
            type: string
        issuer_explanation:
          description: A description of the transaction and the dispute.
          type: string
          nullable: true
          maxLength: 2000
        merchant_contact:
          $ref: '#/components/schemas/MerchantContact'
          nullable: true
        product:
          $ref: '#/components/schemas/ProductEvidence'
          nullable: true
        refund:
          $ref: '#/components/schemas/RefundEvidence'
          nullable: true
        return:
          $ref: '#/components/schemas/ReturnEvidence'
          nullable: true
        service:
          $ref: '#/components/schemas/ServiceEvidence'
          nullable: true
    ProductNotReceivedDisputeEvidence:
      type: object
      description: >-
        Evidence for `product_not_received`. See [Filing
        Requirements](/filing-requirements) for network-specific requirements.
      properties:
        cancellation:
          $ref: '#/components/schemas/CancellationEvidence'
          nullable: true
        cardholder_explanation:
          description: The complaint of the cardholder.
          type: string
          nullable: true
          maxLength: 4000
        delivery:
          $ref: '#/components/schemas/DeliveryEvidence'
          nullable: true
        documentation:
          type: array
          description: >-
            Array of file IDs for supporting documentation. Upload files using
            the [file upload endpoint](/api-reference/v3-files/upload-a-file).
            Max 10 files per case.
          nullable: true
          maxItems: 10
          items:
            type: string
        issuer_explanation:
          description: A description of the transaction and the dispute.
          type: string
          nullable: true
          maxLength: 2000
        merchant_contact:
          $ref: '#/components/schemas/MerchantContact'
          nullable: true
        product:
          $ref: '#/components/schemas/ProductEvidence'
          nullable: true
        service:
          $ref: '#/components/schemas/ServiceEvidence'
          nullable: true
    SubscriptionCanceledDisputeEvidence:
      type: object
      description: >-
        Evidence for `subscription_canceled`. See [Filing
        Requirements](/filing-requirements) for network-specific requirements.
      properties:
        cancellation:
          $ref: '#/components/schemas/CancellationEvidence'
          nullable: true
        cardholder_explanation:
          description: The complaint of the cardholder.
          type: string
          nullable: true
          maxLength: 4000
        documentation:
          type: array
          description: >-
            Array of file IDs for supporting documentation. Upload files using
            the [file upload endpoint](/api-reference/v3-files/upload-a-file).
            Max 10 files per case.
          nullable: true
          maxItems: 10
          items:
            type: string
        issuer_explanation:
          description: A description of the transaction and the dispute.
          type: string
          nullable: true
          maxLength: 2000
        merchant_contact:
          $ref: '#/components/schemas/MerchantContact'
          nullable: true
        product:
          $ref: '#/components/schemas/ProductEvidence'
          nullable: true
    Card:
      type: object
      description: Details of the card used in the disputed transaction(s).
      properties:
        billing_cycle_day:
          description: >-
            The day of the month on which the cardholder's billing cycle closes
            (1–31).
          type: integer
          minimum: 1
          maximum: 31
          example: 15
          nullable: true
        expiry_month:
          description: The expiration month of the card.
          type: integer
          minimum: 1
          maximum: 12
          example: 12
        expiry_year:
          description: The expiration year of the card.
          type: integer
          example: 2028
        issuer_id:
          description: Your unique ID for the card (not the PAN).
          type: string
          nullable: true
          example: b5te350d5135ab64a8t3c1097tadetd9ettb
          maxLength: 250
        last4:
          description: The last four digits of the card.
          type: string
          pattern: ^\d{4}$
          example: '4242'
        network:
          description: The card network.
          type: string
          enum:
            - amex
            - discover
            - mastercard
            - visa
          example: mastercard
        type:
          description: The type of card. Defaults to credit.
          type: string
          enum:
            - debit
            - credit
          example: credit
          default: credit
      required:
        - last4
        - network
    CancellationEvidence:
      type: object
      description: Cancellation details.
      properties:
        date:
          type: string
          format: date-time
          nullable: true
          description: Cancellation date. Must be in the past. ISO 8601 format.
        description:
          type: string
          nullable: true
          description: Cancellation description.
          maxLength: 2000
        id:
          type: string
          nullable: true
          description: Cancellation ID.
          maxLength: 200
        policy_provided:
          type: boolean
          nullable: true
          description: Whether cancellation policy was provided.
    DeliveryEvidence:
      type: object
      description: Delivery details.
      properties:
        date:
          type: string
          format: date-time
          nullable: true
          description: Actual delivery date. Must be in the past. ISO 8601 format.
        expected_date:
          type: string
          format: date-time
          nullable: true
          description: Expected delivery date. Must be in the past. ISO 8601 format.
        merchant_canceled_date:
          type: string
          format: date-time
          nullable: true
          description: >-
            Date the merchant canceled the order, used with a
            `merchant_canceled` status. Must be in the past. ISO 8601 format.
        status:
          type: string
          nullable: true
          description: What went wrong with the delivery.
          enum:
            - wrong_location
            - arrived_late
            - merchant_canceled
    MerchantContact:
      type: object
      description: Details of merchant contact attempt.
      properties:
        attempted_date:
          type: string
          format: date-time
          nullable: true
          description: >-
            Date the cardholder attempted to contact the merchant, successful or
            not. Must be in the past. ISO 8601 format.
        description:
          type: string
          nullable: true
          description: Description of the contact attempt.
          maxLength: 2000
        email:
          type: string
          format: email
          nullable: true
          description: Merchant email address the cardholder contacted.
          maxLength: 254
        method:
          description: How the cardholder contacted the merchant.
          type: string
          nullable: true
          enum:
            - email
            - phone
            - mail
            - sms
            - in_person
            - webform
          example: email
        phone:
          type: string
          nullable: true
          description: Merchant phone number the cardholder contacted.
          maxLength: 50
        prohibited_reason:
          type: string
          nullable: true
          description: >-
            Reason the cardholder was prohibited by local law from contacting
            the merchant. For Visa, this can be provided instead of
            `attempted_date` where merchant contact is required, except for
            `subscription_canceled`.
          maxLength: 2000
        was_successful:
          type: boolean
          nullable: true
          description: Whether the merchant was available and responsive.
    ProductEvidence:
      type: object
      description: Product details.
      properties:
        condition:
          type: string
          nullable: true
          description: What was wrong with the product.
          maxLength: 2000
        description:
          type: string
          nullable: true
          description: Product description.
          maxLength: 2000
        order_id:
          type: string
          nullable: true
          description: Order or invoice ID.
          maxLength: 200
        type:
          type: string
          nullable: true
          enum:
            - merchandise
            - service
            - digital
          description: Type of product.
    RefundEvidence:
      type: object
      description: Refund details.
      properties:
        description:
          type: string
          nullable: true
          description: Refund description.
          maxLength: 2000
        policy_provided:
          type: boolean
          nullable: true
          description: Whether refund policy was provided.
        promised_date:
          type: string
          format: date-time
          nullable: true
          description: >-
            Date the merchant promised the refund. Providing it signifies the
            promise. Must be in the past. ISO 8601 format.
        requested_date:
          type: string
          format: date-time
          nullable: true
          description: >-
            Date the cardholder asked the merchant for a refund or credit. Must
            be in the past. ISO 8601 format.
    ReturnEvidence:
      type: object
      description: Product return details.
      properties:
        attempted_date:
          type: string
          format: date-time
          nullable: true
          description: >-
            Date the return was attempted, successful or not. Must be in the
            past. ISO 8601 format.
        description:
          type: string
          nullable: true
          description: >-
            Description of the return. If the return was not successful then how
            the cardholder attempted to return and where the merchandise is now.
          maxLength: 2000
        not_successful_reason:
          type: string
          nullable: true
          description: Reason the return wasn't successful.
          enum:
            - return_authorization_refused
            - merchandise_refused
            - instructed_not_to_return
            - merchant_unresponsive
            - instructions_not_provided
          example: merchant_unresponsive
        policy_provided:
          type: boolean
          nullable: true
          description: Whether return policy was provided.
        received_date:
          type: string
          format: date-time
          nullable: true
          description: >-
            Date the merchant received the returned merchandise. Must be in the
            past. ISO 8601 format.
        shipping:
          $ref: '#/components/schemas/Shipping'
          nullable: true
        was_successful:
          type: boolean
          nullable: true
          description: Whether return was successful and accepted by the merchant.
    ServiceEvidence:
      type: object
      description: Service details.
      properties:
        end_date:
          type: string
          nullable: true
          format: date-time
          description: >-
            Service end date. For hotel stays, the hotel check-out date. Must be
            in the past. ISO 8601 format.
    PriorTransaction:
      type: object
      description: >-
        Details of a prior transaction. Can be a full transaction object or
        partial details.
      properties:
        amount:
          type: integer
          nullable: true
          description: Amount of the prior transaction in smallest currency unit.
        arn:
          description: >-
            The acquirer reference number of the transaction.  Length is
            network-specific: Visa accepts 23 or 24 characters; Mastercard
            requires 23 characters; American Express has no minimum length but
            the ARN cannot exceed 24 characters.
          type: string
          nullable: true
          example: '48162855246353338636162'
          maxLength: 24
        card:
          $ref: '#/components/schemas/PriorTransactionCard'
          nullable: true
        currency:
          type: string
          nullable: true
          minLength: 3
          maxLength: 3
          description: Three-letter ISO 4217 currency code of the prior transaction.
        date:
          type: string
          format: date-time
          nullable: true
          description: >-
            Clearing date of the prior transaction. Must be in the past. ISO
            8601 format.
        issuer_id:
          description: Your unique ID for the transaction.
          type: string
          nullable: true
          example: 85cfda4d06b8440db3ec15af04061c98
          maxLength: 250
        network_details:
          type: object
          nullable: true
          description: Network-specific details of the prior transaction.
          properties:
            mastercard:
              type: object
              description: Mastercard-specific details of the prior transaction.
              nullable: true
              properties:
                switch_serial_number:
                  type: string
                  description: >-
                    The switch serial number of the prior transaction, for
                    Mastercard single message transactions.
                  minLength: 9
                  maxLength: 9
    CardEvidence:
      type: object
      description: Status of the card.
      properties:
        cardholder_has_possession:
          type: boolean
          nullable: true
          description: Whether cardholder currently has the card.
        is_active:
          type: boolean
          nullable: true
          description: >-
            Card status. Must be false for fraud chargebacks, indicating the
            card was canceled.
        lost_date:
          type: string
          format: date-time
          nullable: true
          description: Date card was lost or stolen. Must be in the past. ISO 8601 format.
        possession_at_transaction:
          type: string
          nullable: true
          enum:
            - had_possession
            - lost
            - stolen
            - not_received
          description: Card possession status at time of transaction.
    Shipping:
      type: object
      description: Shipping information.
      properties:
        carrier:
          type: string
          nullable: true
          description: Shipping carrier name.
          maxLength: 100
        tracking_number:
          type: string
          nullable: true
          description: Tracking number.
          maxLength: 100
    PriorTransactionCard:
      type: object
      description: Details of the card used in a prior transaction.
      properties:
        expiry_month:
          description: The expiration month of the card.
          type: integer
          nullable: true
          minimum: 1
          maximum: 12
          example: 12
        expiry_year:
          description: The expiration year of the card.
          type: integer
          nullable: true
          example: 2028
        issuer_id:
          description: Your unique ID for the card (not the PAN).
          type: string
          nullable: true
          example: b5te350d5135ab64a8t3c1097tadetd9ettb
          maxLength: 250
        last4:
          description: The last four digits of the card.
          type: string
          nullable: true
          pattern: ^\d{4}$
          example: '4242'
        network:
          description: The card network.
          type: string
          nullable: true
          enum:
            - amex
            - discover
            - mastercard
            - visa
          example: mastercard
        type:
          description: The type of card. Defaults to credit.
          type: string
          nullable: true
          enum:
            - debit
            - credit
          example: credit
          default: credit
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Use your API key as the username. No password is required.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.